Package org.apache.tools.ant.taskdefs

# Class CommandLauncherTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.CommandLauncherTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CommandLauncherTask
    extends Task

Task that configures the `CommandLauncher` to used when starting external processes.

Since:
  Ant 1.9.0

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CommandLauncherTask()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addConfigured​(CommandLauncher commandLauncher)` |
`void` | `execute()` | Called by the project to let the task do its work.
`void` | `setVmLauncher​(boolean vmLauncher)` |

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandLauncherTask

public CommandLauncherTask()

## Method Details

### addConfigured

public void addConfigured​(CommandLauncher commandLauncher)

### execute

public void execute()
Description copied from class: `Task`
Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

Overrides:
  `execute` in class `Task`

### setVmLauncher

public void setVmLauncher​(boolean vmLauncher)